<?php
// Own namespace
namespace Org\Mxchange\CoreFramework\Upgrade\Format\Database\Lfdb;

// Import framework stuff
use Org\Mxchange\CoreFramework\Upgrade\Format\BaseFormatUpgrade;
use Org\Mxchange\CoreFramework\Upgrade\Format\Database\UpgradeableDatabaseFormat;

/**
 * A format-upgrade class for LocalFileDatabase format version 01 to 02
 *
 * @author		Roland Haeder <webmaster@ship-simu.org>
 * @version		0.0.0
 * @copyright	Copyright (c) 2007, 2008 Roland Haeder, 2009 - 2023 Core Developer Team
 * @license		GNU GPL 3.0 or any newer version
 * @link		http://www.ship-simu.org
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program. If not, see <http://www.gnu.org/licenses/>.
 */
class LocalFileDatabaseFormatVersion01To02Upgrade extends BaseFormatUpgrade implements UpgradeableDatabaseFormat {
	/**
	 * Protected constructor
	 *
	 * @return	void
	 */
	private function __construct () {
		// Call parent constructor
		parent::__construct(__CLASS__);
	}

	/**
	 * Creates an instance of this UpgradeableDatabaseFormat class and prepares it for usage
	 *
	 * @return	$upgradeInstance	An instance of this UpgradeableDatabaseFormat class
	 */
	public final static function createLocalFileDatabaseFormatVersion01To02Upgrade () {
		// Get a new instance
		$upgradeInstance = new LocalFileDatabaseFormatVersion01To02Upgrade();

		// Return the prepared instance
		return $upgradeInstance;
	}

}
